const canvas = document.getElementById('matrix');
const ctx = canvas.getContext('2d');

// Set up the canvas size
canvas.width = 360;
canvas.height = 240;

const characters = 'abcdefghijklmnopqrstuvwxyz0123456789'; // Characters to display
const fontSize = 8; // Size of the characters
const columns = canvas.width / fontSize; // Number of columns for the rain effect

// Array of drops, one per column
const drops = Array(Math.floor(columns)).fill(1);

// Function to draw the matrix effect
function drawMatrix() {
    // Black background with slight opacity to create a fading effect
    ctx.fillStyle = 'rgba(0, 0, 0, 0.05)';
    ctx.fillRect(0, 0, canvas.width, canvas.height);

    // Set the color and font for the characters
    ctx.fillStyle = '#0F0'; // Green text
    ctx.font = `${fontSize}px monospace`;

    // Loop through each drop
    for (let i = 0; i < drops.length; i++) {
        // Pick a random character
        const char = characters[Math.floor(Math.random() * characters.length)];

        // Draw the character at the specified position
        ctx.fillText(char, i * fontSize, drops[i] * fontSize);

        // Randomly reset drop to top
        if (drops[i] * fontSize > canvas.height && Math.random() > 0.975) {
            drops[i] = 0;
        }

        // Increment y coordinate for the next frame
        drops[i]++;
    }
}

// Set the interval for the animation
setInterval(drawMatrix, 33); // Approximately 30 frames per second